Name:                munge-maven-plugin
Version:             1.0
Release:             1
Summary:             Munge Maven Plugin
License:             CDDL-1.0
URL:                 http://github.com/sonatype/munge-maven-plugin
Source0:             https://github.com/sonatype/munge-maven-plugin/archive/munge-maven-plugin-1.0.tar.gz
BuildRequires:       maven-local mvn(junit:junit) mvn(org.apache.maven:maven-core)
BuildRequires:       mvn(org.apache.maven:maven-plugin-api)
BuildRequires:       mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:       mvn(org.sonatype.plugins:plugins-parent:pom:)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildArch:           noarch

%description
Munge is a purposely-simple Java preprocessor. It only supports
conditional inclusion of source based on defined strings of the
form "if[tag]", "if_not[tag]", "else[tag]", and "end[tag]".
Unlike traditional preprocessors, comments, and formatting are all
preserved for the included lines. This is on purpose, as the output
of Munge will be distributed as human-readable source code.
To avoid creating a separate Java dialect, the conditional tags are
contained in Java comments. This allows one build to compile the
source files without pre-processing, to facilitate faster incremental
development. Other builds from the same source have their code contained
within that comment. The format of the tags is a little verbose, so
that the tags won't accidentally be used by other comment readers
such as javadoc. Munge tags must be in C-style comments;
C++-style comments may be used to comment code within a comment.
Like any preprocessor, developers must be careful not to abuse its
capabilities so that their code becomes unreadable. Please use it
as little as possible.

%package javadoc
Summary:             API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%license LICENSE
%doc README

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Jul 28 2020 leiju <leiju4@huawei.com> - 1.0-1
- Package init
